task Deepvariant {

    File ref_dir
	String fasta

	File Dedup_bam
	File Dedup_bam_index
	String sample
	String model_type
	String DPdocker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		python /opt/deepvariant/bin/run_deepvariant.py --model_type=${model_type} \
		--ref=${ref_dir}/${fasta} \
		--reads=${Dedup_bam} \
		--num_shards=$nt \
		--regions="'chr1 chr2 chr3 chr4 chr5 chr6 chr7 chr8 chr9 chr10 chr11 chr12 chr13 chr14 chr15 chr16 chr17 chr18 chr19 chr20 chr21 chr22 chrX'"
		--call_variants_extra_args="use_openvino=true" \
		--output_vcf=${sample}_DP.vcf.gz
	>>>

	runtime {
		docker:DPdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf = "${sample}_DP.vcf.gz"
		File vcf_index = "${sample}_DP.vcf.gz.tbi"
	}
}
